Index: uspace/lib/softfloat/add.c
===================================================================
--- uspace/lib/softfloat/add.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/softfloat/add.c	(revision fd57cf17d12bbe3b41626a0b8708f075134a073e)
@@ -49,5 +49,5 @@
 	int expdiff;
 	uint32_t exp1, exp2, frac1, frac2;
-	
+
 	expdiff = a.parts.exp - b.parts.exp;
 	if (expdiff < 0) {
@@ -59,9 +59,9 @@
 			return b;
 		}
-		
+
 		if (b.parts.exp == FLOAT32_MAX_EXPONENT) {
 			return b;
 		}
-		
+
 		frac1 = b.parts.fraction;
 		exp1 = b.parts.exp;
@@ -76,9 +76,9 @@
 			return (is_float32_nan(a) ? a : b);
 		}
-		
+
 		if (a.parts.exp == FLOAT32_MAX_EXPONENT) {
 			return a;
 		}
-		
+
 		frac1 = a.parts.fraction;
 		exp1 = a.parts.exp;
@@ -86,5 +86,5 @@
 		exp2 = b.parts.exp;
 	}
-	
+
 	if (exp1 == 0) {
 		/* both are denormalized */
@@ -97,5 +97,5 @@
 		return a;
 	}
-	
+
 	frac1 |= FLOAT32_HIDDEN_BIT_MASK; /* add hidden bit */
 
@@ -107,9 +107,9 @@
 		frac2 |= FLOAT32_HIDDEN_BIT_MASK;
 	}
-	
+
 	/* create some space for rounding */
 	frac1 <<= 6;
 	frac2 <<= 6;
-	
+
 	if (expdiff < (FLOAT32_FRACTION_SIZE + 2)) {
 		frac2 >>= expdiff;
@@ -120,13 +120,13 @@
 		return a;
 	}
-	
+
 	if (frac1 & (FLOAT32_HIDDEN_BIT_MASK << 7)) {
 		++exp1;
 		frac1 >>= 1;
 	}
-	
+
 	/* rounding - if first bit after fraction is set then round up */
 	frac1 += (0x1 << 5);
-	
+
 	if (frac1 & (FLOAT32_HIDDEN_BIT_MASK << 7)) {
 		/* rounding overflow */
@@ -134,5 +134,5 @@
 		frac1 >>= 1;
 	}
-	
+
 	if ((exp1 == FLOAT32_MAX_EXPONENT) || (exp2 > exp1)) {
 		/* overflow - set infinity as result */
@@ -141,7 +141,7 @@
 		return a;
 	}
-	
+
 	a.parts.exp = exp1;
-	
+
 	/* Clear hidden bit and shift */
 	a.parts.fraction = ((frac1 >> 6) & (~FLOAT32_HIDDEN_BIT_MASK));
@@ -160,5 +160,5 @@
 	uint32_t exp1, exp2;
 	uint64_t frac1, frac2;
-	
+
 	expdiff = ((int) a.parts.exp) - b.parts.exp;
 	if (expdiff < 0) {
@@ -170,10 +170,10 @@
 			return b;
 		}
-		
+
 		/* b is infinity and a not */
 		if (b.parts.exp == FLOAT64_MAX_EXPONENT) {
 			return b;
 		}
-		
+
 		frac1 = b.parts.fraction;
 		exp1 = b.parts.exp;
@@ -188,10 +188,10 @@
 			return a;
 		}
-		
+
 		/* a is infinity and b not */
 		if (a.parts.exp == FLOAT64_MAX_EXPONENT) {
 			return a;
 		}
-		
+
 		frac1 = a.parts.fraction;
 		exp1 = a.parts.exp;
@@ -199,5 +199,5 @@
 		exp2 = b.parts.exp;
 	}
-	
+
 	if (exp1 == 0) {
 		/* both are denormalized */
@@ -210,5 +210,5 @@
 		return a;
 	}
-	
+
 	/* add hidden bit - frac1 is sure not denormalized */
 	frac1 |= FLOAT64_HIDDEN_BIT_MASK;
@@ -222,9 +222,9 @@
 		frac2 |= FLOAT64_HIDDEN_BIT_MASK;
 	}
-	
+
 	/* create some space for rounding */
 	frac1 <<= 6;
 	frac2 <<= 6;
-	
+
 	if (expdiff < (FLOAT64_FRACTION_SIZE + 2)) {
 		frac2 >>= expdiff;
@@ -235,13 +235,13 @@
 		return a;
 	}
-	
+
 	if (frac1 & (FLOAT64_HIDDEN_BIT_MASK << 7)) {
 		++exp1;
 		frac1 >>= 1;
 	}
-	
+
 	/* rounding - if first bit after fraction is set then round up */
 	frac1 += (0x1 << 5);
-	
+
 	if (frac1 & (FLOAT64_HIDDEN_BIT_MASK << 7)) {
 		/* rounding overflow */
@@ -249,5 +249,5 @@
 		frac1 >>= 1;
 	}
-	
+
 	if ((exp1 == FLOAT64_MAX_EXPONENT) || (exp2 > exp1)) {
 		/* overflow - set infinity as result */
@@ -256,5 +256,5 @@
 		return a;
 	}
-	
+
 	a.parts.exp = exp1;
 	/* Clear hidden bit and shift */
@@ -400,5 +400,5 @@
 
 	a.parts.exp = exp1;
-	
+
 	/* Clear hidden bit and shift */
 	rshift128(frac1_hi, frac1_lo, 6, &frac1_hi, &frac1_lo);
@@ -419,10 +419,10 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float32_u ub;
 	ub.val = b;
-	
+
 	float32_u res;
-	
+
 	if (ua.data.parts.sign != ub.data.parts.sign) {
 		if (ua.data.parts.sign) {
@@ -435,5 +435,5 @@
 	} else
 		res.data = add_float32(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -443,10 +443,10 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float32_u ub;
 	ub.val = b;
-	
+
 	float32_u res;
-	
+
 	if (ua.data.parts.sign != ub.data.parts.sign) {
 		if (ua.data.parts.sign) {
@@ -459,5 +459,5 @@
 	} else
 		res.data = add_float32(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -471,10 +471,10 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float64_u ub;
 	ub.val = b;
-	
+
 	float64_u res;
-	
+
 	if (ua.data.parts.sign != ub.data.parts.sign) {
 		if (ua.data.parts.sign) {
@@ -487,5 +487,5 @@
 	} else
 		res.data = add_float64(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -495,10 +495,10 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float64_u ub;
 	ub.val = b;
-	
+
 	float64_u res;
-	
+
 	if (ua.data.parts.sign != ub.data.parts.sign) {
 		if (ua.data.parts.sign) {
@@ -511,5 +511,5 @@
 	} else
 		res.data = add_float64(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -523,10 +523,10 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	float128_u ub;
 	ub.val = b;
-	
+
 	float128_u res;
-	
+
 	if (ua.data.parts.sign != ub.data.parts.sign) {
 		if (ua.data.parts.sign) {
@@ -539,5 +539,5 @@
 	} else
 		res.data = add_float128(ua.data, ub.data);
-	
+
 	return res.val;
 }
